## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class ColumnEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.ColumnEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

    public class ColumnEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements org.eclipse.gef.NodeEditPart, ISQLEditPart

GEF viewobject for a column

Nested Class Summary
`class` `ColumnEditPart.ColumnFigure`
`class` `ColumnEditPart.MyCheckBox`

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ColumnEditPart(java.lang.Object model, TableEditPart tableEditPart, SQLDomainModel domainModel)` Constructor takes a RDB Column object as input.

Method Summary
`void` `checkBoxAction(boolean status)` Call back when the check box for the column is selected
`org.eclipse.gef.DragTracker` `getDragTracker(org.eclipse.gef.Request request)`
`org.eclipse.draw2d.Label` `getLabel()`
`org.eclipse.gef.EditPart` `getMyRoot()`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connVO)`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`SQLQueryObject` `getStatement()`
`TableEditPart` `getTableEditPart()`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connVO)`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`java.lang.String` `getToolTip()`
`void` `setModel(java.lang.Object model)`
`void` `update(java.lang.Object child)` `update` should be called with the parent and child object involved in the change

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`activate, addNodeListener, addNotify, deactivate, getAdapter, getContentPane, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ColumnEditPart

    public ColumnEditPart(java.lang.Object model,
                          TableEditPart tableEditPart,
                          SQLDomainModel domainModel)

  Constructor takes a RDB Column object as input. It is created by TableEditPart

Method Detail

### getTableEditPart

    public TableEditPart getTableEditPart()

### getToolTip

    public java.lang.String getToolTip()

### setModel

    public void setModel(java.lang.Object model)

  Specified by:
    `setModel` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `setModel` in class `org.eclipse.gef.editparts.AbstractEditPart`

### update

    public void update(java.lang.Object child)

  `update` should be called with the parent and child object involved in the change

  Parameters:
    `parent` - an `Object` value
    `child` - an `Object` value

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connVO)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connVO)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getDragTracker

    public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request request)

  Specified by:
    `getDragTracker` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `getDragTracker` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getLabel

    public org.eclipse.draw2d.Label getLabel()

### getStatement

    public SQLQueryObject getStatement()

  Specified by:
    `getStatement` in interface `ISQLEditPart`

### getMyRoot

    public org.eclipse.gef.EditPart getMyRoot()

### checkBoxAction

    public void checkBoxAction(boolean status)

  Call back when the check box for the column is selected